#!/usr/bin/python3

import pytest

from smalltag import SmallTag


to_test = [
    ".mp1", ".mp2", ".mp3",
    ".oga", ".ogg", ".opus", ".spx",
    ".wav",
    ".flac",
    ".wma",
    ".m4b", ".m4a", ".m4r", ".m4v", ".mp4", ".aax", ".aaxc",
    ".aiff", ".aifc", ".aif", ".afc"
]


@pytest.mark.parametrize("file_type", to_test)
def test_writing_working(file_type: str):
    tag = SmallTag.get("test_files/test" + file_type)

    tag.title = "A normal title."
    tag.artist = "An artist."
    tag.album = "The album."
    tag.track = 4321
    tag.other["url"] = ["https://teapot.informationsanarchistik.de/Wobbl/SmallTag"]

    tag.write()

    tag = SmallTag.get("test_files/test" + file_type)

    assert tag.title == "A normal title."
    assert tag.artist == "An artist."
    assert tag.album == "The album."
    assert tag.track == 4321
    assert tag.other["url"] == ["https://teapot.informationsanarchistik.de/Wobbl/SmallTag"]
